Bug 156608 - okular crash when opening canon raw (cr2)
Summary: okular crash when opening canon raw (cr2)
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: TIFF backend (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-24 23:01 UTC by Szabolcs Illes
Modified: 2008-01-25 01:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
stacktrace (1.75 KB, text/plain)
2008-01-24 23:02 UTC, Szabolcs Illes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Szabolcs Illes 2008-01-24 23:01:14 UTC
Version:            (using KDE 4.0.0)
Installed from:    SuSE RPMs

Downloaded some CR2 images from my Canon 350D and since dolphin offer okular as an option to open it, so I thought hmm why not to try ...
Comment 1 Szabolcs Illes 2008-01-24 23:02:24 UTC
Created attachment 23257 [details]
stacktrace
Comment 2 Pino Toscano 2008-01-24 23:32:32 UTC
What a strange backtrace... can you install the dbg or debuginfo packages, and try getting a better backtrace?
Is the file too big to be attached?
Comment 3 Tobias Koenig 2008-01-24 23:44:07 UTC
On Thu, Jan 24, 2008 at 10:02:24PM -0000, Szabolcs Illes wrote:
Hej,

> Created an attachment (id=23257)
>  --> (http://bugs.kde.org/attachment.cgi?id=23257&action=view)
> stacktrace

Hmm, looks strange... could you add a test image as well, please?

Ciao,
Tobias
Comment 4 Szabolcs Illes 2008-01-25 00:00:05 UTC
tried to attach, but it's 6Mb :(

kdegraphics4-debuginfo is installed, I can not find okular-deebuginfo, maybe it's not in the opensuse10.3 repo?

I will try to find a place where I can upload it
Comment 5 Szabolcs Illes 2008-01-25 00:13:41 UTC
Test CR2(white wall, just to make it small). Get it from here:

http://nuk.teteny.elte.hu/~selli/IMG_8128.CR2
Comment 6 Pino Toscano 2008-01-25 00:48:10 UTC
Thanks! Unfortunately, we cannot do much with that, as it's a slightly changed TIFF. For now I'll just avoid the crash.
Comment 7 Pino Toscano 2008-01-25 01:06:16 UTC
SVN commit 765972 by pino:

Add a mapping system for pages to exclude the pages we are not able to load, avoid crashing when requesting "invalid" pages.

BUG: 156608


 M  +25 -5     generator_tiff.cpp  
 M  +4 -0      generator_tiff.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=765972
Comment 8 Pino Toscano 2008-01-25 01:06:35 UTC
SVN commit 765973 by pino:

Backport: add a mapping system for pages to exclude the pages we are not able to load, avoid crashing when requesting "invalid" pages.

CCBUG: 156608


 M  +25 -5     generator_tiff.cpp  
 M  +4 -0      generator_tiff.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=765973